# https://github.com/robbyrussell/oh-my-zsh/blob/master/plugins/sudo/sudo.plugin.zsh
sudo-command-line() {
    [[ -z $BUFFER ]] && zle up-history
    local rootcmd
    [ -v commands\[sudo\] ] && rootcmd=sudo
    [ -v commands\[doas\] ] && rootcmd=doas
    if [[ $BUFFER == $rootcmd\ * ]]; then
        LBUFFER="${LBUFFER#$rootcmd }"
    else
        LBUFFER="$rootcmd $LBUFFER"
    fi
}
zle -N sudo-command-line
bindkey '\e\e' sudo-command-line
